Bug 1732713 - Run container from cockpit-podman with memory limit doesn't work
Summary: Run container from cockpit-podman with memory limit doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: cockpit-podman
Version: 8.1
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: 8.2
Assignee: Matej Marušák
QA Contact: Jan Ščotka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-24 07:58 UTC by Chao Ye
Modified: 2020-04-28 15:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 15:47:16 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1650 0 None None None 2020-04-28 15:47:33 UTC

Description Chao Ye 2019-07-24 07:58:03 UTC
Description of problem:
Run any container with memory limit from cockpit-podman WebUI doesn't work.

Version-Release number of selected component (if applicable):
# rpm -qa | grep ^cockpit
cockpit-podman-3-1.module+el8.1.0+3406+d3857ea7.noarch
cockpit-system-196-1.el8.noarch
cockpit-packagekit-196-1.el8.noarch
cockpit-ws-196-1.el8.x86_64
cockpit-pcp-196-1.el8.x86_64
cockpit-196-1.el8.x86_64
cockpit-bridge-196-1.el8.x86_64


How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Martin Pitt 2019-08-08 06:10:27 UTC
This was originally introduced in https://github.com/cockpit-project/cockpit-podman/commit/56b6478fdcb . At that time this setting did not actually work through podman: https://github.com/containers/libpod/issues/2277

But this got fixed, so we need to wire this up and add an integration test for it.

Comment 2 Matej Marušák 2019-08-13 10:22:39 UTC
Upstream fix https://github.com/cockpit-project/cockpit-podman/pull/178

Comment 8 errata-xmlrpc 2020-04-28 15:47:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1650


Note You need to log in before you can comment on or make changes to this bug.